/***********************************************************************
 *
 * File Name:   tastsensor.c
 * Project  :   ASURO
 *
 * Description: Test der Tastensensoren
 *
 * Ver.     Date         Author           Comments
 * -------  ----------   --------------   ------------------------------
 * 1.0      10.09.2005   Peter            initial build
 * 1.1      08.01.2006   Peter            2x PollSwitch + Vergleich, anstelle 8x PollSwitch
 *
 */
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                                    *
 ***************************************************************************/

#include <stdlib.h>
#include <util/delay.h>
#include "asuro.h"

int main(void)
{
  uint32_t l;
  uint8_t t1, t2;
  char text[16];

  Init();
  SerWrite("\r\nTastsensor Test\r\n",19);
  while(1)
  {
    t1 = PollSwitch();
    t2 = PollSwitch();
    if(t1 && t2 && t1 == t2)              /* irgendeine Taste gedrueckt */
    {
      itoa(t1, text, 10);     /* Tastenwert senden */
      SerWrite(text, 5);
      SerWrite("\r\n", 2); /* Zeilenvorschub */
    }
    else
    {
      SerWrite('.', 1);
    }
    for(l=0;l<50;l++)
      _delay_ms(10);
  }
}
